﻿using Cn.Code.Core;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Cn.Code.Demo.Controllers
{
    public class HomeController : Controller
    {
        private IFirstService _iFirstService;
        private ISecondService _iSecondService;
        public HomeController() { }
        public HomeController(IFirstService iFirstService, ISecondService iSecondService)
        {
            this._iFirstService = iFirstService;
            this._iSecondService = iSecondService;
        }
        public ActionResult Index()
        {
            //第一个接口
            ViewBag.FirstText = _iFirstService.GetData();
            //第二个接口
            ViewBag.SecondText = _iSecondService.GetData();
            return View();
        }
    }
}